package cn.com.infosec.asn1;

import java.io.OutputStream;

public class BERSequenceGenerator extends BERGenerator {
   public BERSequenceGenerator(OutputStream out) {
      super(out);
      this.writeBERHeader(48);
   }

   public BERSequenceGenerator(OutputStream out, int tagNo, boolean isExplicit) {
      super(out, tagNo, isExplicit);
      this.writeBERHeader(48);
   }

   public void addObject(DEREncodable object) {
      object.getDERObject().encode(new BEROutputStream(super._out));
   }

   public void close() {
      this.writeBEREnd();
   }
}
